Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IDominoAddressEntry

All Superinterfaces:
  IAddressEntry, IDominoPerson, IItem, IPerson, java.io.Serializable

public interface IDominoAddressEntry
extends IAddressEntry, IDominoPerson

This interface is used for Domino specific address entries. There are several mappings of groupware keys to Domino concepts which are worth noting:

Collab Key | Domino Concept
Middle Name (`IPerson.MIDDLE_NAME`) | Middle Initial (`DominoKey.MIDDLE_INITIAL`)
Name Suffix (`IPerson.NAME_SUFFIX`) | Title (`DominoKey.TITLE`)
SMTP Address (`IPerson.SMTP_ADDRESS`) | InternetAddress (or Email) (`DominoKey.INTERNET_ADDRESS`)
Department Name (`IPerson.DEPARTMENT_NAME`) | Department (`DominoKey.DEPARTMENT`)
Office Location (`IPerson.OFFICE_LOCATION`) | Location (`DominoKey.LOCATION`)
Business Address City (`IPerson.BUSINESS_ADDRESS_CITY`) | Office City (`DominoKey.OFFICE_CITY`)
Business Address State (`IPerson.BUSINESS_ADDRESS_STATE`) | Office State (`DominoKey.OFFICE_STATE`)
Business Address Postal Code (`IPerson.BUSINESS_ADDRESS_POSTAL_CODE`) | Office Zip (`DominoKey.OFFICE_ZIP`)
Business Address Country (`IPerson.BUSINESS_ADDRESS_COUNTRY`) | Office Country (`DominoKey.OFFICE_COUNTRY`)
Business Address Street (`IPerson.BUSINESS_ADDRESS_STREET`) | Office Street Address (`DominoKey.OFFICE_STREET_ADDRESS`)
Business Pager (`IPerson.BUSINESS_PAGER`) | Pager (`DominoKey.PAGER`)
Business Phone Number (`IPerson.BUSINESS_PHONE`) | Office Phone Number (`DominoKey.OFFICE_PHONE_NUMBER`)
Business Fax Number (`IPerson.BUSINESS_FAX`) | Office Fax Phone Number (`DominoKey.OFFICE_FAX_PHONE_NUMBER`)
Personal Address City (`IPerson.PERSONAL_ADDRESS_CITY`) | Home City (`DominoKey.HOME_CITY`)
Personal Address State (`IPerson.PERSONAL_ADDRESS_STATE`) | Home State (`DominoKey.HOME_STATE`)
Personal Address Postal Code (`IPerson.PERSONAL_ADDRESS_POSTAL_CODE`) | Home Zip (`DominoKey.HOME_ZIP`)
Personal Address Country (`IPerson.PERSONAL_ADDRESS_COUNTRY`) | Home Country (`DominoKey.HOME_COUNTRY`)
Personal Address Street (`IPerson.PERSONAL_ADDRESS_STREET`) | Home Street Address (`DominoKey.HOME_STREET_ADDRESS`)

It is important to note that `Restriction` support for address entries is limited in Domino. Only `Restriction.TYPE_VALUE` or `Restriction.TYPE_CONTENT` restrictions by `IPerson.LAST_NAME` are supported. All other restrictions will return no results.

Field Summary
`static ItemClass` | `CLASS` The item class of `IExchangeAddressEntry`.
`static Key` | `EMPLOYEE_ID` Key that represents the address entry employee ID.
`static int` | `KEYID_EMPLOYEE_ID` The `int` ID for the `EMPLOYEE_ID` key.
`static int` | `KEYID_OFFICE_NUMBER` The `int` ID for the `OFFICE_NUMBER` key.
`static Key` | `OFFICE_NUMBER` Key that represents the address entry office number.

Fields inherited from interface com.compoze.collab.groupware.IAddressEntry
`ADDRESS, KEYID_ADDRESS`

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.domino.IDominoPerson
`FULL_NAME, KEYID_FULL_NAME`

Method Summary
`java.lang.String` | `getAddress()` Gets the address of the address book entry.
`java.lang.String` | `getEmployeeID()` Gets the employee ID of the address book entry.
`java.lang.String` | `getOfficeNumber()` Gets the office number of the address book entry.

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.domino.IDominoPerson
`getFullName`

Field Detail

### KEYID_EMPLOYEE_ID

    public static final int KEYID_EMPLOYEE_ID

  The `int` ID for the `EMPLOYEE_ID` key.

### KEYID_OFFICE_NUMBER

    public static final int KEYID_OFFICE_NUMBER

  The `int` ID for the `OFFICE_NUMBER` key.

### EMPLOYEE_ID

    public static final Key EMPLOYEE_ID

  Key that represents the address entry employee ID.

### OFFICE_NUMBER

    public static final Key OFFICE_NUMBER

  Key that represents the address entry office number.

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeAddressEntry`.

Method Detail

### getAddress

    public java.lang.String getAddress()
                                throws CollaborationException

  Gets the address of the address book entry.
  Specified by:
    `getAddress` in interface `IAddressEntry`
  Returns:
    the address of the address book entry (taken from the `FULL_NAME` property, so this must be requested)
  See Also:
    `IDominoPerson.FULL_NAME`

### getEmployeeID

    public java.lang.String getEmployeeID()
                                   throws CollaborationException

  Gets the employee ID of the address book entry.
  Returns:
    the employee ID of the address book entry (not `null`)
  See Also:
    `EMPLOYEE_ID`

### getOfficeNumber

    public java.lang.String getOfficeNumber()
                                     throws CollaborationException

  Gets the office number of the address book entry.
  Returns:
    the office number of the address book entry (not `null`)
  See Also:
    `OFFICE_NUMBER`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.